Subject: Re: bug#57781: missing wallpaper command

From: Felix <[email-masked]>
Date: Mon, 19 Sep 2022 19:19:36 +0200

Stefan Kangas <[email-masked]> writes:

> Felix <[email-masked]> writes:
>
>> On KDE/plasma Wayland everything i tested worked with wallpaper-set.
>> If wbg or swaybg is installed, they are used by wallpaper-set, which is
>> not optimal, if they are not installed kde's internal way of
>> setting the wallpaper is used. That way there is no process attached to
>> emacs, quiting emacs doesn't remove the wallpaper (as it does with wbg
>> or swaybg), and there is no need to kill old wallpaper processes.
>
> Thanks.  Based on your findings, I changed the priority so that the
> desktop environment specific commands will be tried first.  I think that
> should make more sense in most cases.

In my private config i prepend the wallpaper-command with "setsid",
that way the process isn't attached to emacs and the wallpaper set by
wbg or swaybg will stay after closing emacs.
This is an Linux specific thing of course.
I'm not shure how it works for gnome and plasma, but i would think it
makes no difference.
Maybe that's to hacky for including it, but i thought i'll mention it anyways.